
From: Jeff Mahoney <jeffm@suse.com>

This patch fixes a problem with the serial conversion to tiocm[sg]et.

The paste from rs_ioctl included the command sanity checking, but there's no
command for tiocm[sg]et.  The compile ends up failing.


---

 25-akpm/drivers/macintosh/macserial.c |   14 ++++----------
 1 files changed, 4 insertions(+), 10 deletions(-)

diff -puN drivers/macintosh/macserial.c~compile-fix-for-macserial drivers/macintosh/macserial.c
--- 25/drivers/macintosh/macserial.c~compile-fix-for-macserial	Mon Apr 12 16:23:46 2004
+++ 25-akpm/drivers/macintosh/macserial.c	Mon Apr 12 16:23:46 2004
@@ -1790,11 +1790,8 @@ static int rs_tiocmget(struct tty_struct
 	if (serial_paranoia_check(info, tty->name, __FUNCTION__))
 		return -ENODEV;
 
-	if ((cmd != TIOCGSERIAL) && (cmd != TIOCSSERIAL) &&
-	    (cmd != TIOCSERCONFIG) && (cmd != TIOCSERGSTRUCT)) {
-		if (tty->flags & (1 << TTY_IO_ERROR))
-		    return -EIO;
-	}
+	if (tty->flags & (1 << TTY_IO_ERROR))
+		return -EIO;
 
 	spin_lock_irqsave(&info->lock, flags);
 	control = info->curregs[5];
@@ -1820,11 +1817,8 @@ static int rs_tiocmset(struct tty_struct
 	if (serial_paranoia_check(info, tty->name, __FUNCTION__))
 		return -ENODEV;
 
-	if ((cmd != TIOCGSERIAL) && (cmd != TIOCSSERIAL) &&
-	    (cmd != TIOCSERCONFIG) && (cmd != TIOCSERGSTRUCT)) {
-		if (tty->flags & (1 << TTY_IO_ERROR))
-		    return -EIO;
-	}
+	if (tty->flags & (1 << TTY_IO_ERROR))
+		return -EIO;
 
 	spin_lock_irqsave(&info->lock, flags);
 	if (set & TIOCM_RTS)

_
